import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { UserRouteAccessService } from 'app/core/auth/user-route-access.service';
import { SavedSearchesComponent } from '../list/saved-searches.component';
import { SavedSearchesDetailComponent } from '../detail/saved-searches-detail.component';
import { SavedSearchesUpdateComponent } from '../update/saved-searches-update.component';
import { SavedSearchesRoutingResolveService } from './saved-searches-routing-resolve.service';

const savedSearchesRoute: Routes = [
  {
    path: '',
    component: SavedSearchesComponent,
    canActivate: [UserRouteAccessService],
  },
  {
    path: ':id/view',
    component: SavedSearchesDetailComponent,
    resolve: {
      savedSearches: SavedSearchesRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
  {
    path: 'new',
    component: SavedSearchesUpdateComponent,
    resolve: {
      savedSearches: SavedSearchesRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
  {
    path: ':id/edit',
    component: SavedSearchesUpdateComponent,
    resolve: {
      savedSearches: SavedSearchesRoutingResolveService,
    },
    canActivate: [UserRouteAccessService],
  },
];

@NgModule({
  imports: [RouterModule.forChild(savedSearchesRoute)],
  exports: [RouterModule],
})
export class SavedSearchesRoutingModule {}
